### org.jfree.layouting.layouter.content.statics

# Class ResourceContentToken

- `java.lang.Object`
- - `org.jfree.layouting.layouter.content.statics.StaticToken`
  - - `org.jfree.layouting.layouter.content.statics.ResourceContentToken`

Implemented Interfaces:
  ContentToken, GenericType, ResourceType

`public class ResourceContentToken`
`extends StaticToken`
`implements ResourceType, GenericType`

=========================================== LibLayout : a free Java layouting library =========================================== Project Info: http://reporting.pentaho.org/liblayout/ (C) Copyright 2006-2007, by Pentaho Corporation and Contributors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version. This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details. You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. [Java is a trademark or registered trademark of Sun Microsystems, Inc. in the United States and other countries.] ------------ $Id: ResourceContentToken.java 6489 2008-11-28 14:53:40Z tmorgner $ ------------ (C) Copyright 2006-2007, by Pentaho Corporation.

  ## Constructor Summary

  `ResourceContentToken(Resource content)`

  ## Method Summary

  `Resource`

  `getContent()`

  `Object`

  `getRaw()`

## Constructor Details

### ResourceContentToken

    public ResourceContentToken(Resource content)

## Method Details

### getContent

    public Resource getContent()

> Specified by:
>   getContent in interface ResourceType

### getRaw

    public Object getRaw()

> Specified by:
>   getRaw in interface GenericType